#include<iostream>
#include<fstream>
using namespace std;
int main()
{
	ifstream f1; f1.open();
	long int a[10000],n,b,c,max;
	ifstream f1;f1.open("timmax.inp");
	f1>>n;
	for(b=1;b<n+1;b++) f1>>a[b];
	f1.close();
	max=a[1];
	for (b=2;b<n+1;b++)	if (a[b]>max) max=a[b];
	ofstream f2;f2.open("timmax.out");
	f2<<max<<endl;
	for(b=1;b<n+1;b++) if(a[b]=max) f2<<b' ';
	f2.close();
}
